Ré-réinstaller fonz_fun_plug

Parce que j’ai rebooté mon NAS, et depuis, j’ai perdu

  • l’accès SSH
  • Lighttpd
  • minidlna

Heureusement, je peux toujours y accéder en « vrai » FTP et consulter le ffp.log qui me dit des choses aussi absconses que

* /ffp/start/uwcron.sh ...
wc: can't resolve symbol 'posix_fadvise64'

ou

* /ffp/start/sshd.sh ...

/ffp/bin/ssh-keygen: symbol '_res': can't resolve symbol

/ffp/bin/ssh-keygen: symbol '__stack_chk_guard': can't resolve symbol
tr: can't resolve symbol 'posix_fadvise64'
Starting /ffp/sbin/sshd 

/ffp/sbin/sshd: symbol '__stack_chk_guard': can't resolve symbol
* /ffp/start/rsyncd.sh inactive

Préferrant la brutalité à la subtilité, je vais donc réinstaller fonz_fun_plug 0.7. Heureusement que j’ai déja détaillé les étapes.

Donc allons-y …

(je démarre à 11H00)

Au passage, je lis dans mon article de référence

You may select to upgrade system package by packages from other repositories, but it may bring some system instability. Do it at your own risk …

Ouais, ben j’aurais dû le mettre dans une espèce de welocme message …

(et à 11H22, ffp est réinstallé, et je redémarre pour vérifier que les modifs fonctionnent – et oui, ça marche).

Par contre, dans la partie

Installer ensuite toutes les libs de minidlna, puis minidlna

Bêtement, je n’ai pas noté la liste des « libs de minidlna » … heureusement, une rapide recherche sur « kylek minidlna » me donne cette liste :

  • libjpeg-8c (system)
  • flac (kylek)
  • ogg (kylek)
  • vorbis (kylek)
  • libid3tag-0.15.1b (kylek)
  • sqlite-3.7.9 (system)
  • libexif-0.6.2 (system)

Et ça ira !

Avec ça, minidlna redémarre correctement.

J’ai en revanche un petit souçi avec lighttpd … mais je vais arranger ça rapidement …

Donc, si après le démarrage de lighttpd, je ne vois rien dans mon navigateur internet, je dois aller jeter un oeil dans /mnt/HD_b2/www/logs/error.log pour y trouver des erreurs comme par exemple

2015-01-10 18:36:22: (mod_fastcgi.c.1103) the fastcgi-backend /ffp/bin/php-cgi failed to start:
2015-01-10 18:36:22: (mod_fastcgi.c.1107) child exited with status 16 /ffp/bin/php-cgi
2015-01-10 18:36:22: (mod_fastcgi.c.1110) If you're trying to run your app as a FastCGI backend, make sure you're using the FastCGI-enabled version.
If this is PHP on Gentoo, add 'fastcgi' to the USE flags.
2015-01-10 18:36:22: (mod_fastcgi.c.1397) [ERROR]: spawning fcgi failed.

Et donc, je n’ai pas dû installer la bonne version de PHP …

Bon, en fait, c’est pas ça : quand je tape php -v, j’obtiens ça

php: can't load library 'libcurl.so.4'

Normal, puisque curl n’est pas installé.

Donc il faut installer curl avant de tenter d’utiliser du php !

J’ai donc maintenant un lighttpd+php qui marche à peu près (suffisament en tout cas pour jtartQage). En revanche, pour krissfeed ou Shaarli, j’ai toujours des erreurs

Fatal error: Call to undefined function gzinflate() in /mnt/HD_b2/www/pages/Shaarli/index.php on line 773

Qui sont liées, d’après internet à … des problèmes curieux de zlib (que j’ai pourtant installée).

Bon, en fait non, c’est juste parce qu’il ne faut pas oublier de copier le php.ini qui est sauvegardé sur GitHub !

Laisser un commentaire

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion / Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion / Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion / Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion / Changer )

Connexion à %s